file:

  #check si latest.sql.gs existe
  /root/latest.sql.gz:
    exists: true
    filetype: file


command:

  #check le contenue de la crontab
  crontab -l:
    exit-status: 0
    stdout:
    - 0 21 * * 1-7 /root/svbase.sh
    stderr: []
    timeout: 10000

  #check la sortie du fichier hostname de ap23 
  ssh root@ap23 hostname:
    exit-status: 0
    stdout:
    - ap23
    stderr: []
    timeout: 10000


interface:
  
 #check l'existence de la carte enp0s3, son adresse ipv4, mac et sa valeur mtu
  enp0s3:
    exists: true
    addrs:
    - 192.168.0.33/24
    - fe80::a00:27ff:fe06:7232/64
    mtu: 1500
